Bug 149248 - New port: devel/cmph C Minimal Perfect Hashing Library and code generator
Summary: New port: devel/cmph C Minimal Perfect Hashing Library and code generator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-03 21:20 UTC by Jesse Kempf
Modified: 2010-08-17 21:40 UTC (History)
0 users

See Also:


Attachments
file.shar (2.45 KB, text/plain)
2010-08-03 21:20 UTC, Jesse Kempf
no flags Details
cmph.shar (2.45 KB, text/plain)
2010-08-06 18:27 UTC, Jesse Kempf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Kempf 2010-08-03 21:20:08 UTC
CMPH - C Minimal Perfect Hashing Library

A perfect hash function maps a static set of n keys into a set of m integer
numbers without collisions, where m is greater than or equal to n. If m is equal
to n, the function is called minimal.

Minimal perfect hash functions are widely used for memory efficient storage and
fast retrieval of items from static sets, such as words in natural languages,
reserved words in programming languages or interactive systems, universal
resource locations (URLs) in Web search engines, or item sets in data mining
techniques. Therefore, there are applications for minimal perfect hash functions
in information retrieval systems, database systems, language translation
systems, electronic commerce systems, compilers, operating systems, among
others. 

WWW:    http://cmph.sourceforge.net/

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2010-08-06 11:46:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2010-08-06 12:02:45 UTC
* Jesse Kempf (jkempf@davisvision.com) wrote:

It'll require some minor fixes.

> X# Whom:                 jessekempf@gmail.com

We prefer real name here in addition to mail.

> XPORTNAME=	cmph

Please use tabs, not spaces for identation.

> XMASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}

That is the preferred way - one line shorter and a bit more flexible.

> XGNU_CONFIGURE= yes

Will also require

USE_GNOME=	gnomehack
that patches configure/Makefile.* in many ways; here it's useful to make
it install .pc file into libdata/pkg-config (where .pc files are stored
on FreeBSD) instead of lib/pkg-config.

libdata/pkg-config should not be dirrm'd in pkg-plist.

USE_LDCONFIG=	yes
as the port installs shared library.

MAN1=		cmph.1
and remove man from pkg-plist. This correctly deals with manpage installation 

Most of these problems are listed by portlint (ports-mgmt/portlint) - you
will find it useful to check your ports before submission.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2010-08-06 12:02:58 UTC
State Changed
From-To: open->feedback

Awaiting submitter's feedback
Comment 4 Jesse Kempf 2010-08-06 18:27:47 UTC
Dmitry Marakasov wrote:
> * Jesse Kempf (jkempf@davisvision.com) wrote:
> 
> It'll require some minor fixes.
> 
>> X# Whom:                 jessekempf@gmail.com
> 
> We prefer real name here in addition to mail.
>

Fixed. My mistake.

>> XPORTNAME=	cmph
>
> Please use tabs, not spaces for identation.

Fixed.

>> XMASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
> 
> That is the preferred way - one line shorter and a bit more flexible.

Fixed.

>> XGNU_CONFIGURE= yes
> 
> Will also require
> 
> USE_GNOME=	gnomehack
> that patches configure/Makefile.* in many ways; here it's useful to make
> it install .pc file into libdata/pkg-config (where .pc files are stored
> on FreeBSD) instead of lib/pkg-config.
> 
> libdata/pkg-config should not be dirrm'd in pkg-plist.

Fixed.

> USE_LDCONFIG=	yes
> as the port installs shared library.

Fixed.

> MAN1=		cmph.1
> and remove man from pkg-plist. This correctly deals with manpage installation  

Fixed.

> Most of these problems are listed by portlint (ports-mgmt/portlint) - you
> will find it useful to check your ports before submission.

I'd been invoking portlint as `portlint', not `portlint -A'. My mistake.

I've attached an updated sharchive with all the fixes.

Thanks,
-Jesse



------------------------------------------------------------------------
The information contained in this communication is intended
only for the use of the recipient(s) named above. It may
contain information that is privileged or confidential, and
may be protected by State and/or Federal Regulations. If
the reader of this message is not the intended recipient,
you are hereby notified that any dissemination,
distribution, or copying of this communication, or any of
its contents, is strictly prohibited. If you have received
this communication in error, please return it to the sender
immediately and delete the original message and any copy
of it from your computer system. If you have any questions
concerning this message, please contact the sender.
------------------------------------------------------------------------
Comment 5 Dmitry Marakasov freebsd_committer 2010-08-17 21:31:19 UTC
State Changed
From-To: feedback->open

Submitter has fixed.
Comment 6 dfilter service freebsd_committer 2010-08-17 21:32:27 UTC
amdmi3      2010-08-17 20:32:16 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/cmph           Makefile distinfo pkg-descr pkg-plist 
  Log:
  CMPH - C Minimal Perfect Hashing Library
  
  A perfect hash function maps a static set of n keys into a set of m integer
  numbers without collisions, where m is greater than or equal to n. If m is equal
  to n, the function is called minimal.
  
  Minimal perfect hash functions are widely used for memory efficient storage and
  fast retrieval of items from static sets, such as words in natural languages,
  reserved words in programming languages or interactive systems, universal
  resource locations (URLs) in Web search engines, or item sets in data mining
  techniques. Therefore, there are applications for minimal perfect hash functions
  in information retrieval systems, database systems, language translation
  systems, electronic commerce systems, compilers, operating systems, among
  others.
  
  WWW:    http://cmph.sourceforge.net/
  
  PR:             149248
  Submitted by:   Jesse Kempf <jkempf@davisvision.com>
  
  Revision  Changes    Path
  1.4013    +1 -0      ports/devel/Makefile
  1.1       +21 -0     ports/devel/cmph/Makefile (new)
  1.1       +3 -0      ports/devel/cmph/distinfo (new)
  1.1       +16 -0     ports/devel/cmph/pkg-descr (new)
  1.1       +9 -0      ports/devel/cmph/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dmitry Marakasov freebsd_committer 2010-08-17 21:32:46 UTC
State Changed
From-To: open->closed

New port added. Thanks!